Debian Bug report logs - #576218
Interactive interpreter (php -a) no longer functions

version graph

Package: php5-cli; Maintainer for php5-cli is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php5-cli is src:php5.

Reported by: Jeremy Smith <jeremy@blazonco.com>

Date: Thu, 1 Apr 2010 17:27:05 UTC

Severity: wishlist

Tags: fixed-in-experimental

Merged with 341868

Found in versions php5/5.3.6-11, php5-cli/5.0.5-3, php5/5.3.1-5

Fixed in version php5/5.5.0~alpha5-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#576218; Package php5-cli. (Thu, 01 Apr 2010 17:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Smith <jeremy@blazonco.com>:
New Bug report received and forwarded. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 01 Apr 2010 17:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremy Smith <jeremy@blazonco.com>
To: submit@bugs.debian.org
Subject: Interactive interpreter (php -a) no longer functions
Date: Thu, 01 Apr 2010 10:06:30 -0700
[Message part 1 (text/plain, inline)]
Package: php5-cli
Version: 5.3.1-5

The PHP interactive interpreter (invoked using `php -a`) no longer works 
correctly.  No statements are executed unless an EOF command is sent 
using ctrl-D.

Example:

jeremy@lothar:~$ php -a
Interactive mode enabled

<?php
echo "Test\n";
echo "Hello World!\n"
exit;
die;
die;
die('please');
^C
jeremy@lothar:~$ php -a
Interactive mode enabled

<?php
echo "Test\n";^D
Test
jeremy@lothar:~$

It is expected for the interactive interpreter to execute statements as 
they are entered - this is the current behavior in stable 
(5.2.6.dfsg.1-1+lenny8):

jeremy@private-host:~$ php -a
Interactive mode enabled
<?php
echo "Test\n";
Test
echo "Hello World!\n";
Hello World!
exit;
jeremy@private-host:~$

Unless something is malconfigured on my (newly installed) squeeze 
system, this should be easy for anyone to reproduce.

I will provide /etc/php5/cli/php.ini if requested -- however, it is just 
the default version installed with the package.

Other PHP5 modules installed:
libapache2-mod-php5/squeeze uptodate 5.3.1-5
php5/squeeze uptodate 5.3.1-5
php5-cli/squeeze uptodate 5.3.1-5
php5-common/squeeze uptodate 5.3.1-5
php5-curl/squeeze uptodate 5.3.1-5
php5-pgsql/squeeze uptodate 5.3.1-5
php5-suhosin/squeeze uptodate 0.9.29-1+b1
php5-tidy/squeeze uptodate 5.3.1-5
php5-xdebug/squeeze uptodate 2.0.5-1+b1
php5-xsl/squeeze uptodate 5.3.1-5

(I didn't request suhosin; it is installed by default).

Thanks,
Jeremy

[smime.p7s (application/pkcs7-signature, attachment)]

Set Bug forwarded-to-address to 'http://bugs.php.net/bug.php?id=51695'. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Sat, 01 May 2010 22:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#576218; Package php5-cli. (Wed, 18 Aug 2010 11:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Niederlag <peter@niederlag.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 18 Aug 2010 11:15:08 GMT) Full text and rfc822 format available.

Message #12 received at 576218@bugs.debian.org (full text, mbox):

From: Peter Niederlag <peter@niederlag.de>
To: 576218@bugs.debian.org
Subject: [php5-cli] Confirmed with php5-cli 5.3.2-1
Date: Wed, 18 Aug 2010 13:14:28 +0200
I just hit this today as well. Of course I can provide a bunch of 
further information if this is really dependant on cifg and not 
reproducable everywhere

Package: php5-cli
Version: 5.3.2-1

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-trunk-amd64








Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#576218; Package php5-cli. (Tue, 25 Jan 2011 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matthew W. S. Bell" <matthew@bells23.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 25 Jan 2011 01:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 576218@bugs.debian.org (full text, mbox):

From: "Matthew W. S. Bell" <matthew@bells23.org.uk>
To: 576218@bugs.debian.org
Date: Tue, 25 Jan 2011 00:50:14 +0000
[Message part 1 (text/plain, inline)]
Hi,

I just hit this problem and have discovered that interactive mode does
not work unless php is linked against libreadline. If it is not, it will
fail silently (well, it does do something if you type out your code then
send EOF). ldd indicates that php5 is not linked against libreadline[1],
so I suspect this is the problem.

Matthew Bell

[1] ldd /usr/bin/php5
	linux-vdso.so.1 =>  (0x00007fff285ff000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00007f9d25ec7000)
	libz.so.1 => /usr/lib/libz.so.1 (0x00007f9d25caf000)
	libonig.so.2 => /usr/lib/libonig.so.2 (0x00007f9d25a48000)
	libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0x00007f9d257f3000)
	libdb-4.8.so => /usr/lib/libdb-4.8.so (0x00007f9d25479000)
	libqdbm.so.14 => /usr/lib/libqdbm.so.14 (0x00007f9d25228000)
	libbz2.so.1.0 => /lib/libbz2.so.1.0 (0x00007f9d25018000)
	libpcre.so.3 => /lib/libpcre.so.3 (0x00007f9d24de8000)
	libm.so.6 => /lib/libm.so.6 (0x00007f9d24b65000)
	libdl.so.2 => /lib/libdl.so.2 (0x00007f9d24961000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x00007f9d24749000)
	libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00007f9d24513000)
	libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00007f9d2424b000)
	libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00007f9d24025000)
	libcom_err.so.2 => /lib/libcom_err.so.2 (0x00007f9d23e21000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00007f9d23ad1000)
	libc.so.6 => /lib/libc.so.6 (0x00007f9d23770000)
	libcrypto.so.0.9.8 => /usr/lib/libcrypto.so.0.9.8 (0x00007f9d233ce000)
	libresolv.so.2 => /lib/libresolv.so.2 (0x00007f9d231b8000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00007f9d22f9c000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f9d26120000)
	libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x00007f9d22d93000)
	libkeyutils.so.1 => /lib/libkeyutils.so.1 (0x00007f9d22b91000)

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#576218; Package php5-cli. (Sun, 29 May 2011 08:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Hinderer <sebastien.hinderer@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 29 May 2011 08:48:16 GMT) Full text and rfc822 format available.

Message #22 received at 576218@bugs.debian.org (full text, mbox):

From: Sebastien Hinderer <sebastien.hinderer@ens-lyon.org>
To: Debian Bug Tracking System <576218@bugs.debian.org>
Subject: Re:
Date: Sun, 29 May 2011 10:35:08 +0200
Package: php5-cli
Version: 5.3.6-11
Followup-For: Bug #576218

Shouldn't this bug report be merged with bug #341868 ?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#576218; Package php5-cli. (Sat, 11 Feb 2012 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Eliasson <devel@antoneliasson.se>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 11 Feb 2012 22:12:03 GMT) Full text and rfc822 format available.


Message #27 received at 576218@bugs.debian.org (full text, mbox):

From: Anton Eliasson <devel@antoneliasson.se>
To: 576218@bugs.debian.org
Date: Sat, 11 Feb 2012 23:02:12 +0100
This is indeed because PHP is linked against libedit instead of 
libreadline because of licensing issues (according to #341868 and 
#286356). So why does interactive mode work in Ubuntu?

$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 11.04
Release:	11.04
Codename:	natty
$ php -v
PHP 5.3.5-1ubuntu7.2 with Suhosin-Patch (cli) (built: May  2 2011 23:00:17)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
$ php -a
Interactive shell

php > echo "Hello World";
Hello World
php > ^D

-- 
Med vänliga hälsningar / Regards
Anton Eliasson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#576218; Package php5-cli. (Sat, 11 Feb 2012 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lior Kaplan <kaplan@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 11 Feb 2012 22:57:03 GMT) Full text and rfc822 format available.

Message #32 received at 576218@bugs.debian.org (full text, mbox):

From: Lior Kaplan <kaplan@debian.org>
To: Anton Eliasson <devel@antoneliasson.se>, 576218@bugs.debian.org
Subject: Re: [php-maint] Bug#576218: (no subject)
Date: Sun, 12 Feb 2012 00:53:49 +0200
[Message part 1 (text/plain, inline)]
On Sun, Feb 12, 2012 at 12:02 AM, Anton Eliasson <devel@antoneliasson.se>wrote:

> This is indeed because PHP is linked against libedit instead of
> libreadline because of licensing issues (according to #341868 and #286356).
> So why does interactive mode work in Ubuntu?
>

1. The do build with libedit and we don't.
2. They've fixed this issue in libedit:
https://bugs.launchpad.net/ubuntu/+source/php5/+bug/322214

Kaplan
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#576218; Package php5-cli. (Mon, 13 Feb 2012 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 13 Feb 2012 08:00:04 GMT) Full text and rfc822 format available.

Message #37 received at 576218@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Lior Kaplan <kaplan@debian.org>, 576218@bugs.debian.org
Cc: Anton Eliasson <devel@antoneliasson.se>
Subject: Re: [php-maint] Bug#576218: Bug#576218: (no subject)
Date: Mon, 13 Feb 2012 08:56:09 +0100
block 576218 by 286356
thank you

I would be happy to fix that in Debian as soon as
http://bugs.debian.org/286356 is fixed.

O.

On Sat, Feb 11, 2012 at 23:53, Lior Kaplan <kaplan@debian.org> wrote:
> On Sun, Feb 12, 2012 at 12:02 AM, Anton Eliasson <devel@antoneliasson.se>
> wrote:
>>
>> This is indeed because PHP is linked against libedit instead of
>> libreadline because of licensing issues (according to #341868 and #286356).
>> So why does interactive mode work in Ubuntu?
>
>
> 1. The do build with libedit and we don't.
> 2. They've fixed this issue in libedit:
> https://bugs.launchpad.net/ubuntu/+source/php5/+bug/322214
>
> Kaplan
>
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-php-maint



-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#576218; Package php5-cli. (Tue, 21 Feb 2012 15:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Eliasson <devel@antoneliasson.se>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 21 Feb 2012 15:57:09 GMT) Full text and rfc822 format available.

Message #42 received at 576218@bugs.debian.org (full text, mbox):

From: Anton Eliasson <devel@antoneliasson.se>
To: 576218@bugs.debian.org
Cc: Ondřej Surý <ondrej@debian.org>
Subject: Re: [php-maint] Bug#576218: Bug#576218: (no subject)
Date: Tue, 21 Feb 2012 16:53:52 +0100
On 2012-02-13 08:56, Ondřej Surý wrote:
> block 576218 by 286356
> thank you
>
> I would be happy to fix that in Debian as soon as
> http://bugs.debian.org/286356 is fixed.
>
> O.
>
> On Sat, Feb 11, 2012 at 23:53, Lior Kaplan<kaplan@debian.org>  wrote:
>> On Sun, Feb 12, 2012 at 12:02 AM, Anton Eliasson<devel@antoneliasson.se>
>> wrote:
>>>
>>> This is indeed because PHP is linked against libedit instead of
>>> libreadline because of licensing issues (according to #341868 and #286356).
>>> So why does interactive mode work in Ubuntu?
>>
>>
>> 1. The do build with libedit and we don't.
>> 2. They've fixed this issue in libedit:
>> https://bugs.launchpad.net/ubuntu/+source/php5/+bug/322214
>>
>> Kaplan
>>
>> _______________________________________________
>> pkg-php-maint mailing list
>> pkg-php-maint@lists.alioth.debian.org
>> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-php-maint
>
>
>
Can't we apply the same patches to the Debian packages? Are we waiting 
for the upstream maintainers to take action?

-- 
Med vänliga hälsningar / Regards
Anton Eliasson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#576218; Package php5-cli. (Tue, 21 Feb 2012 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 21 Feb 2012 16:09:06 GMT) Full text and rfc822 format available.

Message #47 received at 576218@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Anton Eliasson <devel@antoneliasson.se>
Cc: 576218@bugs.debian.org, 286356@bugs.debian.org
Subject: Re: [php-maint] Bug#576218: Bug#576218: (no subject)
Date: Tue, 21 Feb 2012 17:05:08 +0100
> Can't we apply the same patches to the Debian packages? Are we waiting for
> the upstream maintainers to take action?

We can, but you are barking up the wrong tree here.  You need to speak
with libedit maintainer.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Unset Bug forwarded-to-address Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 09:51:05 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 09:51:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 576218: 286356 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 09:51:05 GMT) Full text and rfc822 format available.

Marked as found in versions php5-cli/5.0.5-3. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 09:51:06 GMT) Full text and rfc822 format available.

Merged 341868 576218 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 09:51:07 GMT) Full text and rfc822 format available.

Message #58 received at 341868-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 341868-close@bugs.debian.org
Subject: Bug#341868: fixed in php5 5.5.0~alpha5-2
Date: Tue, 05 Mar 2013 20:49:34 +0000
Source: php5
Source-Version: 5.5.0~alpha5-2

We believe that the bug you reported is fixed in the latest version of
php5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 341868@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated php5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Mar 2013 16:39:21 +0100
Source: php5
Binary: php5 php5-common libapache2-mod-php5 libapache2-mod-php5filter php5-cgi php5-cli php5-fpm libphp5-embed php5-dev php5-dbg php-pear php5-curl php5-enchant php5-gd php5-gmp php5-imap php5-interbase php5-intl php5-ldap php5-mcrypt php5-mysql php5-mysqlnd php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase php5-tidy php5-xmlrpc php5-xsl
Architecture: source amd64 all
Version: 5.5.0~alpha5-2
Distribution: experimental
Urgency: low
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 libapache2-mod-php5 - server-side, HTML-embedded scripting language (Apache 2 module)
 libapache2-mod-php5filter - server-side, HTML-embedded scripting language (apache 2 filter mo
 libphp5-embed - HTML-embedded scripting language (Embedded SAPI library)
 php-pear   - PEAR - PHP Extension and Application Repository
 php5       - server-side, HTML-embedded scripting language (metapackage)
 php5-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php5-cli   - command-line interpreter for the php5 scripting language
 php5-common - Common files for packages built from the php5 source
 php5-curl  - CURL module for php5
 php5-dbg   - Debug symbols for PHP5
 php5-dev   - Files for PHP5 module development
 php5-enchant - Enchant module for php5
 php5-fpm   - server-side, HTML-embedded scripting language (FPM-CGI binary)
 php5-gd    - GD module for php5
 php5-gmp   - GMP module for php5
 php5-imap  - IMAP module for php5
 php5-interbase - interbase/firebird module for php5
 php5-intl  - internationalisation module for php5
 php5-ldap  - LDAP module for php5
 php5-mcrypt - MCrypt module for php5
 php5-mysql - MySQL module for php5
 php5-mysqlnd - MySQL module for php5 (Native Driver)
 php5-odbc  - ODBC module for php5
 php5-pgsql - PostgreSQL module for php5
 php5-pspell - pspell module for php5
 php5-recode - recode module for php5
 php5-snmp  - SNMP module for php5
 php5-sqlite - SQLite module for php5
 php5-sybase - Sybase / MS SQL Server module for php5
 php5-tidy  - tidy module for php5
 php5-xmlrpc - XML-RPC module for php5
 php5-xsl   - XSL module for php5
Closes: 341868
Changes: 
 php5 (5.5.0~alpha5-2) experimental; urgency=low
 .
   * Enable interactive mode in php5-cli (Closes: #341868)
Checksums-Sha1: 
 6b1cb25f40bc636af09777f03c1e2857befa7a59 3805 php5_5.5.0~alpha5-2.dsc
 14dd6e43d9987db224532768f6b09b7eca6ac7cc 494929 php5_5.5.0~alpha5-2.debian.tar.gz
 188e130828aa7309d27695af603a4a0399c965df 482678 php5-common_5.5.0~alpha5-2_amd64.deb
 791c35bcb9702bf23f8db8bd87c3c60c991fedfa 2705762 libapache2-mod-php5_5.5.0~alpha5-2_amd64.deb
 b762b41a32f61cb8d74acb5b751ca6c7fe87f135 2703968 libapache2-mod-php5filter_5.5.0~alpha5-2_amd64.deb
 686f2c9d3212b845ff9cea7b17e445e8d2382c15 5168576 php5-cgi_5.5.0~alpha5-2_amd64.deb
 9f750d9ca36042fcd4da16bcbc560503209c89d3 2592594 php5-cli_5.5.0~alpha5-2_amd64.deb
 7bbbf0d8df2bc3521b90b9fbb746a22597dcc440 2625132 php5-fpm_5.5.0~alpha5-2_amd64.deb
 9062d6c9901588f88cc9ed151a8ccc546560a897 2702300 libphp5-embed_5.5.0~alpha5-2_amd64.deb
 2facee23dde05f74109289c39184c58748c8e787 515278 php5-dev_5.5.0~alpha5-2_amd64.deb
 7202e619ed4329fb31ddb637ef5f85885945d1b2 16677942 php5-dbg_5.5.0~alpha5-2_amd64.deb
 78db9af4c8312d944af432d623517023d76f5e14 36066 php5-curl_5.5.0~alpha5-2_amd64.deb
 d4fa27a29cefb4932c8c3e86a7f456f392859d72 9930 php5-enchant_5.5.0~alpha5-2_amd64.deb
 787d508de177589825ed407d073d84282585577a 35690 php5-gd_5.5.0~alpha5-2_amd64.deb
 2a59ce00cc05ce9d16a86b336850306015e813ca 17146 php5-gmp_5.5.0~alpha5-2_amd64.deb
 27a84efd5c93bd59aae5d112ceeafac7988a8674 35584 php5-imap_5.5.0~alpha5-2_amd64.deb
 9f585d82648aaa5cc20362d69f7be3ae27459641 49458 php5-interbase_5.5.0~alpha5-2_amd64.deb
 70ba157080183fbed6de19ff1e4a3b63ac2dd002 132820 php5-intl_5.5.0~alpha5-2_amd64.deb
 77d6ea6eba04bb283a02c564bbcdeba65739f679 21748 php5-ldap_5.5.0~alpha5-2_amd64.deb
 18712e4ef0fc2c0c48f2dd88800b1852cce34724 16066 php5-mcrypt_5.5.0~alpha5-2_amd64.deb
 3a815167e0b86d9aee74ad2784408005a8d8a17f 80376 php5-mysql_5.5.0~alpha5-2_amd64.deb
 0304562d0f70548e77f061d619476dcb1ed26546 169650 php5-mysqlnd_5.5.0~alpha5-2_amd64.deb
 5d4b86775589c8986c87702653f16224ed90813b 36672 php5-odbc_5.5.0~alpha5-2_amd64.deb
 5547cd9db96c130cf2bc924d1bfbea8d6113ea70 61640 php5-pgsql_5.5.0~alpha5-2_amd64.deb
 ccaa2fb7c3ca17acdbcca51854f4913aed956e14 8890 php5-pspell_5.5.0~alpha5-2_amd64.deb
 b2da938090722f7f9a63d26428e80789620776a1 5184 php5-recode_5.5.0~alpha5-2_amd64.deb
 37283a4150c09c1c136c75ab98dc928bf0541013 21790 php5-snmp_5.5.0~alpha5-2_amd64.deb
 41b63fd763d9959cb27cb655f6af904a73ba93ba 30518 php5-sqlite_5.5.0~alpha5-2_amd64.deb
 b42609b11bf408942f1f7c47520c409ca578301e 28164 php5-sybase_5.5.0~alpha5-2_amd64.deb
 21a189b494720d1fb470cbaa0c49a558a868b709 19578 php5-tidy_5.5.0~alpha5-2_amd64.deb
 61db6e229037cdf936113558d68730f8e619ec35 36278 php5-xmlrpc_5.5.0~alpha5-2_amd64.deb
 360be48a8634f8bf05e99839ba7d71752a5ff2c5 15408 php5-xsl_5.5.0~alpha5-2_amd64.deb
 96c3caa426aa291f9d0d28f672ec29b55ef712db 1024 php5_5.5.0~alpha5-2_all.deb
 5229f6e37248bab2aee955e7a8422c66fcc30098 349180 php-pear_5.5.0~alpha5-2_all.deb
Checksums-Sha256: 
 a34c0088e838cefb36ba655a99eda43dbdca99657106192fdefdcf3e189ddd3b 3805 php5_5.5.0~alpha5-2.dsc
 b2c1fdf258c48002470ab5ce8d03eb74003fc5d00f1782a8a93613a3ca99238f 494929 php5_5.5.0~alpha5-2.debian.tar.gz
 ef190f64129ef1e9f5483c10a2ede48acec62cd2290fb3370e149fa1c325cb76 482678 php5-common_5.5.0~alpha5-2_amd64.deb
 ada5e2cd2c440efc887ecc1846e04ef6139fc34ba04ad66f2bddc92bf4ec95d2 2705762 libapache2-mod-php5_5.5.0~alpha5-2_amd64.deb
 124b18f4f043bec4b795665954a7c6e3a678c837040e3bf7af113b197811afeb 2703968 libapache2-mod-php5filter_5.5.0~alpha5-2_amd64.deb
 2795a126ae5482697fe8fca0b2c55d1d2a80cf22736591fb0a31cf2fdd8acb22 5168576 php5-cgi_5.5.0~alpha5-2_amd64.deb
 e297087300f6e8175bf2905180941c78fc2e85996dd3096586f683fa8b141961 2592594 php5-cli_5.5.0~alpha5-2_amd64.deb
 15f19b70ee9297fd176a149c8bdef23e8e0d685251b7dc809f5358f049b377dd 2625132 php5-fpm_5.5.0~alpha5-2_amd64.deb
 408ad78d30891b7f59f1163284dee99587797bfb6cfc58614b297cd7b56e25cd 2702300 libphp5-embed_5.5.0~alpha5-2_amd64.deb
 de4f9b951e3d41674203f93e3a34797f03d28bd0f415f113d27d852b8352f287 515278 php5-dev_5.5.0~alpha5-2_amd64.deb
 2bc0fc63a67acaffa58809ac8903a8a4446880fde4f6ffcfe70062f37e4c4973 16677942 php5-dbg_5.5.0~alpha5-2_amd64.deb
 6c9f8ccb985f928b22a8f1c9dc408307eaaeaf95aaff4032da641ab1f9716e53 36066 php5-curl_5.5.0~alpha5-2_amd64.deb
 7768b473223210335016dc7826f295a2d4928a4e5cd48d674f356e3a065150fa 9930 php5-enchant_5.5.0~alpha5-2_amd64.deb
 57a1a3f4714a0c69d74b56ef21debcb7f982b648621ed47e53d9d7b990e6b015 35690 php5-gd_5.5.0~alpha5-2_amd64.deb
 7e5f5fea3298cfb5206755b5cd996381307d36a8236015461769bbdc1f9a74a4 17146 php5-gmp_5.5.0~alpha5-2_amd64.deb
 54d2d555e13842ca0d958b69ea29342f95601713abe9aa0daa5f7dc770a6ae6f 35584 php5-imap_5.5.0~alpha5-2_amd64.deb
 71948239a8e1a9c14bbddbcf1aa609e7bace8e3c3e92bb33160710b4510b532b 49458 php5-interbase_5.5.0~alpha5-2_amd64.deb
 527467ac6cdbc96c755db072c15ec8d123d6e42b81f3748a220725bf59d5fe62 132820 php5-intl_5.5.0~alpha5-2_amd64.deb
 0335ba7b66f442b6283a3a4c7fa4315430dc495f6acf2f26b69258056e5cb67a 21748 php5-ldap_5.5.0~alpha5-2_amd64.deb
 335db53b880c688a0e2d5ae4a0b2b67ef0f184cd96dffafee3b97209664f9831 16066 php5-mcrypt_5.5.0~alpha5-2_amd64.deb
 abfb19ff0024a5ffcd04341b4a648e0240ef882014c6bd0455df32a0788d882e 80376 php5-mysql_5.5.0~alpha5-2_amd64.deb
 c010d9135758e894f8383a6894be66efff89477a3b1392e5e195a35884bbc83c 169650 php5-mysqlnd_5.5.0~alpha5-2_amd64.deb
 799022991a4b445a359ecd76a6aeb565d07342d0be3a351ad86e71d105837a6f 36672 php5-odbc_5.5.0~alpha5-2_amd64.deb
 1a2597864a9eb2cb3a8522a69ab3de216e91f9134182ca9651880133b01ae454 61640 php5-pgsql_5.5.0~alpha5-2_amd64.deb
 63032d7e33eaa1bff5820e7de9db1f6c343c259c734576be4fe96db4e4c3a5ff 8890 php5-pspell_5.5.0~alpha5-2_amd64.deb
 d752f15037cf63e5d73a4c412ff146b8be6795ef33aaecd00d7fa983c9e64a14 5184 php5-recode_5.5.0~alpha5-2_amd64.deb
 80e538c4209633726857d8ca20cf23f74deb12fb3264a60fb4b26c9409dad593 21790 php5-snmp_5.5.0~alpha5-2_amd64.deb
 a83f55274bcf7984d27240b93ee4ea419216302d2a3230013bb1f7c4680ec1d4 30518 php5-sqlite_5.5.0~alpha5-2_amd64.deb
 c0a166252cb7946d07c96b2179d70ec863f589fd169349c82332d37200c84e92 28164 php5-sybase_5.5.0~alpha5-2_amd64.deb
 8bd137915cbccd0bfabe5f36154e70ccc4f2e59d4693498e35e64fb29c075aca 19578 php5-tidy_5.5.0~alpha5-2_amd64.deb
 759e34c30061a5aff9612af4dcadd4cc4ef57030a2e60506e36330906b19dc1b 36278 php5-xmlrpc_5.5.0~alpha5-2_amd64.deb
 099d692c1f1ee517f99fe87834cf08e511c2cfaaf25efa3c5ec5c37600ebeb24 15408 php5-xsl_5.5.0~alpha5-2_amd64.deb
 4c28a6ad6db466d0521f0e65513e5e7a25c1a112ebd21d4129832c3250c098ee 1024 php5_5.5.0~alpha5-2_all.deb
 6ba8dcf58bfa0ca1d59fe3aaa4a993c48cecdbaf41c983eea9d4f42e22cc845c 349180 php-pear_5.5.0~alpha5-2_all.deb
Files: 
 a8c9fffe1c18447d9cca1525127807ad 3805 php optional php5_5.5.0~alpha5-2.dsc
 fe00b2fa4d4f111b4ab73235f8130ae7 494929 php optional php5_5.5.0~alpha5-2.debian.tar.gz
 75970869ccae14a1cfb5f1c454f5d54e 482678 php optional php5-common_5.5.0~alpha5-2_amd64.deb
 578763a76ddec5fe03175733c4e4fa32 2705762 httpd optional libapache2-mod-php5_5.5.0~alpha5-2_amd64.deb
 ca8c19ebb54cb40f97ef8174f6fa52eb 2703968 httpd extra libapache2-mod-php5filter_5.5.0~alpha5-2_amd64.deb
 c54c136251f9ad0bc6297b38b0b4e9ae 5168576 php optional php5-cgi_5.5.0~alpha5-2_amd64.deb
 059af833ba64471707f63a340538c2ad 2592594 php optional php5-cli_5.5.0~alpha5-2_amd64.deb
 17131c06cf1edaf05f164cc908a1ba4c 2625132 php optional php5-fpm_5.5.0~alpha5-2_amd64.deb
 08b93488dff8b5c9055a4294fcaa4e24 2702300 php optional libphp5-embed_5.5.0~alpha5-2_amd64.deb
 ff0e08ac9fc433618d1206f92ebc6eda 515278 php optional php5-dev_5.5.0~alpha5-2_amd64.deb
 bd597745ec375878b7d728fa7f4e7677 16677942 debug extra php5-dbg_5.5.0~alpha5-2_amd64.deb
 c7d4a6fa06503eaf7f341d626e4d9888 36066 php optional php5-curl_5.5.0~alpha5-2_amd64.deb
 1d04a2220dbb1b10ffeda4975a72c000 9930 php optional php5-enchant_5.5.0~alpha5-2_amd64.deb
 8122bf7b0dae50533bb76dbcb3f1802e 35690 php optional php5-gd_5.5.0~alpha5-2_amd64.deb
 8b6833e81f7a51691df90e16ca2e482a 17146 php optional php5-gmp_5.5.0~alpha5-2_amd64.deb
 4b324866182cd34b154afeae790cad26 35584 php optional php5-imap_5.5.0~alpha5-2_amd64.deb
 f80d834d1ac2b9d8132e96a5d1609230 49458 php optional php5-interbase_5.5.0~alpha5-2_amd64.deb
 bfabb76ccd86b6cc2ae6cf2822ff2bd4 132820 php optional php5-intl_5.5.0~alpha5-2_amd64.deb
 22c4c3df7beb2d057fc0ccad7260dbd2 21748 php optional php5-ldap_5.5.0~alpha5-2_amd64.deb
 699ff2112be47471e00971e634350c89 16066 php optional php5-mcrypt_5.5.0~alpha5-2_amd64.deb
 461698b9a5c59d74b1dd56e749acb92e 80376 php optional php5-mysql_5.5.0~alpha5-2_amd64.deb
 79c9ad08248602d6f1311ee76e65b46a 169650 php extra php5-mysqlnd_5.5.0~alpha5-2_amd64.deb
 ec376377576f10e94571b5a329b9a86d 36672 php optional php5-odbc_5.5.0~alpha5-2_amd64.deb
 d549f8ccfcf86bc8dd7ad53d98dc6bf4 61640 php optional php5-pgsql_5.5.0~alpha5-2_amd64.deb
 90359718f5715a40c725b2183dc11a86 8890 php optional php5-pspell_5.5.0~alpha5-2_amd64.deb
 0afc379a7ffce59923b63a2ea0244b0f 5184 php optional php5-recode_5.5.0~alpha5-2_amd64.deb
 321f221b44e61faf0eb9db0fd78665bd 21790 php optional php5-snmp_5.5.0~alpha5-2_amd64.deb
 f9df3e62e37a32fc804b9a2058cc5067 30518 php optional php5-sqlite_5.5.0~alpha5-2_amd64.deb
 4af121362c4b737bf57c0235493cbfc9 28164 php optional php5-sybase_5.5.0~alpha5-2_amd64.deb
 92a5e549e0641ae36f961be0b3b2d06f 19578 php optional php5-tidy_5.5.0~alpha5-2_amd64.deb
 103f6a2565fa18bce7d6fe014afed30c 36278 php optional php5-xmlrpc_5.5.0~alpha5-2_amd64.deb
 ba6f526affc61d0988c67e4da1a2eb5d 15408 php optional php5-xsl_5.5.0~alpha5-2_amd64.deb
 d7dbff270e78f0b392d8d423044e4936 1024 php optional php5_5.5.0~alpha5-2_all.deb
 8db3184c454ec14609e4d2192a3a5124 349180 php optional php-pear_5.5.0~alpha5-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlE2Up8ACgkQ9OZqfMIN8nPrTgCfbA800Nfdh4sB82gbOsLXMgbk
u44An3UcEOP6EtMPjuEKFMyoWsbYy4Nj
=z9/t
-----END PGP SIGNATURE-----




Bug reopened Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 23:36:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions php5/5.5.0~alpha5-2. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 23:36:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-in-experimental. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 23:36:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions php5/5.5.0~alpha5-2. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 23:39:06 GMT) Full text and rfc822 format available.

Marked as fixed in versions php5/5.5.0~alpha5-2; no longer marked as fixed in versions php5/5.5.0~alpha5-2. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 23:39:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:35:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.